VMware Postgres v13.2 Release Notes

This document describes features, fixes, and known issues in VMware Postgres v13.2.0.

Software Component Versions

VMware Postgres Version Component Component Version
13.2.0 PostgreSQL 13.2
pgBackRest 2.31
psqlODBC 11.01-0000
pgjdbc 42.2.18
PL/Java 1.5.7
PL/R 8.4.1
Orafce 3.14
pg_auto_failover 1.4.0
PostGIS with
geos (v3.8.1),
proj (v4.9.3), gdal (v2.4.4)
3.1.1

Features

  • VMware Postgres 13.2.0 updates the PostgreSQL database version to 13.2. Postgres version 13.2 fixes two important issues:

    • CVE-2021-20229: Fix failure to check per-column SELECT privileges in some join queries
    • CVE-2021-3393: Fix information leakage in constraint-violation error messages

    Version 13.2 also includes numerous bug fixes and improvements, as highlighted in E.1.2. Changes.

  • This VMware Postgres release includes pg_auto_failover 1.4.0, enabling high availability configurations.

  • VMware Postgres 13.2 removes Patroni from the release package. pg_auto_failover replaces Patroni as the High Availability solution for VMware Postgres.

Upgrading to VMware Postgres 13.2

See Installing or Upgrading VMware Postgres for information about the RPM package contents and upgrade instructions.

Known Issues and Limitations

  • You cannot install VMware Postgres alongside an existing Red Hat Enterprise Linux PostgreSQL installation.
  • VMware does not support using the deprecated XML2 module.
  • All software components in this release, including the client ODBC and JDBC drivers, are supported only on Red Hat Enterprise Linux (RHEL) version 7 and CentOS 7 systems.